Name:           htmlunit
Version:        2.9
Release:        9%{?dist}
Summary:        A headless web browser for automated testing
License:        ASL 2.0 
URL:            http://htmlunit.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}-src.zip
Patch0:         %{name}-%{version}-old-nekohtml.patch

BuildArch:      noarch

BuildRequires:  mvn(commons-codec:commons-codec)
BuildRequires:  mvn(commons-collections:commons-collections)
BuildRequires:  mvn(commons-io:commons-io)
BuildRequires:  mvn(commons-lang:commons-lang)
BuildRequires:  mvn(commons-logging:commons-logging)
BuildRequires:  mvn(net.sourceforge.cssparser:cssparser)
BuildRequires:  mvn(net.sourceforge.htmlunit:htmlunit-core-js)
BuildRequires:  mvn(net.sourceforge.nekohtml:nekohtml)
BuildRequires:  mvn(org.apache.httpcomponents:httpclient)
BuildRequires:  mvn(org.apache.httpcomponents:httpmime)
BuildRequires:  mvn(org.sonatype.oss:oss-parent)
BuildRequires:  mvn(xalan:xalan)
#BuildRequires:  mvn(xalan:xsltc)
BuildRequires:  mvn(xerces:xercesImpl)
# https://bugzilla.redhat.com/show_bug.cgi?id=998594
BuildRequires:  xalan-j2-xsltc

BuildRequires:  java-devel
BuildRequires:  maven-local
BuildRequires:  maven-enforcer-plugin

%description
HtmlUnit is a "GUI-Less browser for Java programs". It models HTML 
documents and provides an API for automated testing of
web applications. 

%package javadoc
Summary:        API documentation for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q
find -name '*.jar' -print -delete 
find -name '*.class' -print -delete

%patch0 -p 0

%pom_add_dep xalan:xsltc:2.7.1
%pom_xpath_set "pom:project/pom:dependencies/pom:dependency[pom:artifactId = 'nekohtml']/pom:version" 1.9.14
# Unavailable test deps
%pom_remove_dep :gsbase
%pom_remove_dep :selenium-htmlunit-driver
%pom_remove_dep :selenium-ie-driver
%pom_remove_dep :selenium-firefox-driver
%pom_remove_dep org.mortbay.jetty:jetty
# maybe should be change only gId
%pom_remove_dep jfree:jfreechart

# org.apache.httpcomponents:httpclient:4.1.2:test-jar
%pom_xpath_remove "pom:project/pom:dependencies/pom:dependency[pom:scope = 'test']"
# unwanted plugin
%pom_remove_plugin :maven-antrun-plugin
%pom_remove_plugin :maven-assembly-plugin
%pom_remove_plugin :maven-eclipse-plugin
%pom_remove_plugin :maven-gpg-plugin
%pom_remove_plugin :maven-source-plugin

%pom_xpath_remove "pom:build/pom:extensions"

%build
# enabling tests would require packaging some selenium plugins
%mvn_file : %{name}
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc LICENSE.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.9-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 2.9-8
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 17 2013 gil cattaneo <puntogil@libero.it> 2.9-7
- fix rhbz#992488
- removed unneeded jakarta-commons-httpclient
- fix BR list
- use pom macros
- minor changes to adapt to current guideline

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.9-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 2.9-4
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Sep 02 2011 Andy Grimm <agrimm@gmail.com> - 2.9-1
- Initial package
